#include "NaturalGradient.h"

#include "gtest/gtest.h"
#include "experiments.h"

//_____________________________________________________________________________
//                                                                            |
//                                       MAIN                                 |
// ___________________________________________________________________________|


int main (int argc, char** argv) {
  // automatic testing
  ::testing::InitGoogleTest (&argc, argv);
  int tests;
  tests = RUN_ALL_TESTS();

  try {
    bisphere_diversity exp1;
    exp1.fillFromArgs(argc,argv);
    exp1.start();
  } catch (plugscape::RuntimeError e) {
    std::cerr << e.what() << std::endl;
  }

  return 0;
}

